import json
import logging
import re
import random
import time
import boto3
import os


from botocore.exceptions import ClientError
_rand = str(random.randint(10, 2400))
#
iam_client = boto3.client('iam')
dyclient = boto3.client('dynamodb')


logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)


def dy_put(TableName, Item):
    response = dyclient.put_item(
        TableName=TableName, Item=Item)
    return response




def lambda_handler(event, context):
    print(json.dumps(event))
    datestamp = time.strftime("%m/%d/%Y-%X", time.gmtime())
    event['actionstatus'] = f'Updating dynamodblog { datestamp }'
    TableName = os.environ['TableName']
    dykey = f"{event['dynamodbkey']}"
    pitem = {"dynamodbkey": {"S": dykey},
             "timestamp": {"S": datestamp},
             "region": {"S": event['stack_region']},
             "stack": {"S": event['tname']},
             "stack_name": {"S": event['stack_name']},
             "target_account": {"S": event['taraccount']},
             "stack_status": {"S": event['stack_status']}}
    ret = dy_put(TableName, pitem)
    return event
